<?php
//*************************************************************************************************************
//     
//*************************************************************************************************************
// 
if (isset ($_REQUEST["button11"]))      // 
//****************************************************************************
{
if  (file_exists(getcwd ( ).'/1s/m.txt'))                             // 
{
$soob="";
$os7=false;
list($abs1, $s2) = explode("pages",getcwd( ));	
$begin = fopen($abs1."pgdrw57_1/server-before_1.html");               // 
$objects=file_get_contents($abs1."pages/tags/contents/14,07,20_001/script/server-before_1.html"); 
$w_objects = fopen($abs1."pgdrw57_1/objects.html", 'w') or exit;     // 
//****************************************************************************************************************
//4 HTML 2s5 5.txt    tags\contents\14,07,20_001\1.txt      tags\contents\14,07,20_001\N\5.txt
//****************************************************************************************************************
/*
  2s 1.txt properties
  2s2 2.txt methods
  2s3 3.txt events
  Collections 2s4 4.txt
  HTML      2s5 5.txt   
  STYLE     2s6 6.txt 
*/
if (!$os7)
{// 
$f_tags=$abs1."pages/tags/contents/14,07,20_001/1.txt";          // 
$tags = file($f_tags); 			                                 // 
//----------------------------------------------------------------------------------------------
//                                
//----------------------------------------------------------------------------------------------
//<TABLE  id=alphabet  onclick=tags2(event) style="FONT-SIZE: smaller; MARGIN-LEFT: -35px" cellpadding=5   border=0>
$tags_abc='<U style="BACKGROUND: #ffff00;width:100%;text-align:center;color:brown">TAGS, OBJECTS alphabetically</U> 
<center>
<TABLE  id=alphabet  onclick=tags2(event) style="FONT-SIZE: smaller" cellpadding=5   border=0>
<TBODY>
***
</tbody></table></center>';                                      // 
$tags_abc2="";
$j=1;
for ($ii = 0; $ii <= count($tags)-1; $ii++)                      // 
{$tags_arr=explode("```",$tags[$ii]);
if ($j==1)
{$tags_abc2=$tags_abc2."<tr>";}
$tags_abc2=$tags_abc2."<td><b title='".$tags_arr[2]."-".$tags_arr[4]."'>".$tags_arr[1]."</b></td>";	
if (++$j==5)
{$tags_abc2=$tags_abc2."</tr>";
$j=1;
}}
$tags_abc=str_replace('***',$tags_abc2,$tags_abc);                   // 
//htmlspecialchars($mrep, ENT_QUOTES)
$objects=str_replace('<!---abc--->',$tags_abc,$objects);             // 
//---------------------------------------------------------------------------------------------------------------
//                         
//---------------------------------------------------------------------------------------------------------------
//I:\a+php\htdocs\gidra\pages\tags\contents\14,07,20_001\1s\1-5.txt   
$cat_list="<select  size=0 id=tokat onchange='to_kat()'><OPTION  selected value=1>GO TO:</OPTION>***</SELECT>";
$cat_list2="";
$f_cats=$abs1."pages/tags/contents/14,07,20_001/1s/1-5.txt";         //
//$soob=$f_cats;
$cats = file($f_cats); 			                                      //
for ($i = 4; $i <= count($cats)-1; $i++)                      
{$iii=$i-4;                                                           //
//$soob=$soob.($iii)."<hr>";
$cats_arr=explode("```",$cats[$i]);                                   // 
$cat_list2=$cat_list2."<option>".$cats_arr[1]."</option>";
if (strstr($cats_arr[1], "Object Model"))                  // 
{$cats_arr2[$iii]='<U id=cat'.$iii.' style="BACKGROUND: #ffff00;FONT-WEIGHT: bold; color:brown;;width:100%;text-align:center">OBJECTS CATEGORY
«'.strtoupper($cats_arr[1]).'»</U> 
<center><TABLE onclick=tags2(event) style="CURSOR: move" cellpadding=5   border=0>
<TBODY>***</tbody></table></center>';                         // 
$cats_arr2[$iii]=$cats_arr2[$iii].
'<center><FIELDSET id=kart style="MARGIN-LEFT: -25px; WIDTH: 349px; HEIGHT: 698px"><IMG src="proba0.gif" useMap=#100>
<MAP style="DISPLAY: none; HEIGHT: 20px" name=100><AREA language=VBS 
title="The Stylesheet object represents all of the style elements within a stylesheet in the stylesheets collection." 
shape=RECT coords=319,596,395,622><B lang=2621>Object StyleSheet</B><AREA lang=images id=ar 
title="The IMAGES collection represents all the pictures in a document." shape=RECT coords=217,596,293,622>
<AREA title="The Selection object displays the current selection in the document. " shape=RECT coords=319,559,395,585>
<B lang=2600>Object Selection</B><AREA lang=scripts title="The SCRIPTS collection represents all the scripts in a document."
 shape=RECT coords=217,558,293,584><AREA lang=plugins 
 title="The PLUGINS collection represents all embedded objects, similar to EMBEDS." 
 shape=RECT coords=319,521,395,547><AREA lang=links title="The LINKS collection represents all AREA links and blocks."
 shape=RECT coords=217,521,293,547>
 <AREA title="The DOCUMENT object provides the ability to access the components of an HTML document using
  collections of collections and properties." shape=RECT coords=269,333,345,359><B lang=2544>Object Document</B>
 <AREA lang=embeds title="The EMBEDS collection represents all embedded objects in a document." 
 shape=RECT coords=217,484,293,510><AREA lang=anchors title="ANCHORS collection represents everything
  "anchors" (A tags with a name value and no href value) in the document." 
 shape=RECT coords=217,446,293,472><AREA lang=applets title="The APPLETS collection represents all objects
  including inline controls, graphics, applets, embedded and other objects." 
 shape=RECT coords=319,446,395,472><AREA title="Object represents the implicit main object of the document,
  defined in the BODY tag." shape=RECT coords=316,406,392,432><B lang=387>BODY ~ page content</B>
 <AREA lang=all title="The ALL collection represents all the tags and elements of the main body of the document." 
 shape=RECT coords=217,409,293,435><AREA title="A SELECT object is a list box or drop-down list, a form element." 
 shape=RECT coords=16,391,92,420><B lang=935>SELECT ~ List</B><AREA 
 title="INPUT TYPE = FILE object, form element for file selection." shape=RECT coords=112,357,188,386>
 <B lang=871>INPUT TYPE=file ~ file selection</B><AREA lang=frames title="The FRAMES collection presents
  a collection of all frames." shape=RECT coords=259,235,344,263><AREA title="INPUT TYPE = PASSWORD object,
  form element for entering a password." shape=RECT coords=16,358,90,385><B lang=858>INPUT TYPE=password ~ password entry</B>
 <AREA title="Object INPUT TYPE = HIDDEN, form element for storing hidden information." shape=RECT 
 coords=113,324,187,351><B lang=845>INPUT TYPE=hidden ~ hidden information</B><AREA 
 title="A TEXTAREA object a text box for multiple lines, a form element." shape=RECT 
 coords=17,324,91,351><B lang=975>TEXTAREA ~ Multiple line input field</B><AREA 
 title="Object INPUT TYPE = SUBMIT, send form element to server." shape=RECT coords=113,290,187,317>
 <B lang=819>INPUT TYPE=submit ~ button to send data to the server</B><AREA 
 title="Object INPUT TYPE = TEXT, form element one-line data entry." shape=RECT coords=17,290,91,317>
 <B lang=734>INPUT TYPE = text ~ text input to send to server.</B><AREA title="INPUT TYPE = RESET object,
  element forms a reset button." shape=RECT coords=111,256,185,283>
 <B lang=832>INPUT TYPE = reset ~ enter cancel input</B><AREA 
 title="Object INPUT TYPE = CHECKBOX, a switch form element." shape=RECT coords=16,256,90,283>
 <B lang=759>INPUT TYPE=checkbox ~ switch</B><AREA 
 title="INPUT TYPE = RADIO object, switch form element." shape=RECT coords=112,222,186,249>
 <B lang=788>INPUT TYPE=radio ~ switch</B><AREA 
 title="INPUT TYPE = BUTTON object, button form element." shape=RECT coords=16,222,90,249>
 <B lang=746>INPUT TYPE=button ~ button</B>
 <AREA lang=plugins title="The PLUGINS collection represents a collection of embedded objects." shape=RECT 
 coords=319,188,404,215><AREA lang=mimetype title="The MimeType collection represents type information
  MIME supported by the browser." shape=RECT coords=217,188,302,215><AREA 
 title="The DOCUMENT object provides the ability to access the components of an HTML document using
  collections of collections and properties." shape=RECT coords=306,288,393,315>
 <B lang=2544>Document object</B><AREA title="The DOCUMENT object provides the ability to access
  components of an HTML document using a collection of collections and properties." shape=RECT coords=210,288,297,315>
 <B lang=2544>Document object</B><AREA title="The Navigator object lets you access browser properties." 
 shape=RECT coords=267,137,354,164><B lang=2584>Navigator object</B>
 <AREA title="The DOCUMENT object provides the ability to access the components of an HTML document with
  using a collection of collections and properties." shape=RECT coords=61,137,148,164>
 <B lang=2544>Document object</B><AREA title="The SCREEN object represents information about the monitor and
  information output system." shape=RECT coords=267,103,354,130><B lang=2592>Screen object</B>
 <AREA title="The EVENT object is a global object that provides access to event properties,
  when they happen." shape=RECT coords=61,103,148,130><B lang=2552>Event object</B>
 <AREA title="A WINDOW object represents the properties, methods, and events of a browser window or frame.
  The head object of the browser model." shape=RECT coords=160,31,247,58><B lang=2650>Window object</B>
 <AREA title="The LOCATION object g represents information about the address of the document." shape=RECT coords=267,69,354,96>
 <B lang=2568>Location object</B><AREA title="The HISTORY object provides information about the addresses that
  customer visited." shape=RECT coords=61,69,148,96><B lang=2560>History object</B>
 <AREA lang=filters title="The collection of the tag, contains the filters of the object." shape=RECT coords=118,450,197,480>
 <AREA lang=0 title="An object (tag) that has a collection of filters. " shape=RECT coords=127,403,188,436>
 <AREA lang=imports title="The IMPORTS collection represents all imported style sheets." 
 shape=RECT coords=323,631,387,663><AREA lang=stylesheets title="The STYLESHEETS collection represents properties
  style defined in the document." shape=RECT coords=216,630,295,662><AREA lang=rows 
 title="The ROWS collection represents the rows of a table, including the header and footer. " shape=RECT 
 coords=20,565,84,597><AREA title="TABLE object, the main tag of the table object." shape=RECT coords=123,566,185,598>
 <B lang=1478>TABLE ~ table</B><AREA lang=areas title="The AREAS collection represents the areas of each
  MAP object." shape=RECT coords=19,524,83,556>
 <AREA lang=cells title="The CELLS collection represents all the cells for each row in the table." shape=RECT 
 coords=19,484,83,516><AREA lang=options title="The OPTIONS collection passes all the elements of the SELECT object
  (items of the pop-up or drop-down list)." shape=RECT coords=21,439,84,470>
 <AREA lang=forms title="The FORMS collection represents all forms of a document." shape=RECT coords=17,178,93,207>
 <AREA lang=elements title="The ELEMENTS collection represents, for each form, all the elements (objects) of that form." 
 shape=RECT coords=109,179,185,208><AREA title="MAP object, container object for storing AREA tags
  areas of the picture map. " shape=RECT coords=123,522,185,554>
 <B lang=1093>MAP ~ collection of active sites on the map</B>
 <AREA title="TR object, table row. " shape=RECT coords=124,483,185,516>
 <B lang=1662>TR ~ title string, body</B></MAP></FIELDSET></center>'; 

}
else                                                 //
{$cats_arr2[$iii]='<br><U id=cat'.$iii.' style="BACKGROUND: #ffff00;FONT-WEIGHT: bold; color:brown;width:100%;text-align:center">TAGS CATEGORIES
«'.strtoupper($cats_arr[1]).'»</U> 
<TABLE onclick=tags2(event) style="CURSOR: move" cellpadding=5   border=0>
<TBODY>***</tbody></table></center>';                //
}
$cats_abc2="";                                       //
$j=1;                                                //
for ($ii = 0; $ii <= count($tags)-1; $ii++)          //
{$tags_arr=explode("```",$tags[$ii]);	             //
if (trim($tags_arr[5])==($iii+1))                    //
{if ($j==1)                                          //
{$cats_abc2=$cats_abc2."<tr>";}                      //
$cats_abc2=$cats_abc2."<td><b title='".$tags_arr[2]."-".$tags_arr[4]."'>".$tags_arr[1]."</b></td>";	//
$cats_arr3[$iii]=$cats_arr3[$iii].($ii+1).",";       //
if (++$j==5)                                         //
{$cats_abc2=$cats_abc2."</tr>";                      //
$j=1;                                                //
}}}
$cats_arr2[$iii]=str_replace('***',$cats_abc2,$cats_arr2[$iii]);   //
}	
$cat_list=str_replace('***',$cat_list2,$cat_list);   //
$objects=str_replace("<!---cat--->",$cat_list,$objects);
//*******************************************************************************************
//                           
//*******************************************************************************************
//
//
$tag_htm='<li><u id=***6>***0</u>****0<s style=display:none>***1</s><s style=display:none>***2</s><s style=display:none>***3</s><s style=display:none>***4</s><s style=display:none>***5</s>';
$tag_htm2="";
for ($ii = 0; $ii <= count($tags)-1; $ii++)                      // 
{$tags_arr=explode("```",$tags[$ii]);
$f_tags2=$abs1."pages/tags/contents/14,07,20_001/".$tags_arr[0]."/5.txt";   //
$tags2 = file($f_tags2); 	                               // 
$tags_arr2=explode("```",$tags2[0]);                       // 
$tag_htm4="<br>";
for ($j = 1; $j <= count($tags_arr2)-1; $j++)              // 
{if ($j==1)                                                // 
{$www=$tags_arr2[$j];	
$www2="&lt;".$tags_arr[2]."&gt;".$tags_arr2[$j];
if ($tags_arr[3]==1)
{$www2=$www2."&lt;/".$tags_arr[2]."&gt;";	
$www2="<i>".$www2."</i>";

}}	
else if ($j==2)                                            // 
{$www=$tags_arr2[$j];	
$www2="";	
}
else if ($j==3)                                            // 
{$www=str_replace('[','<',$tags_arr2[$j]);	              
$www=str_replace(']','>',$www);	
$www2=str_replace('[','&lt;',$tags_arr2[$j]);	          
$www2=str_replace(']','&gt;',$www2);	
$www2="<i>".$www2."</i>";

}
$tag_htm4=$tag_htm4.$www2."<br>".$www ;
}
$tag_htm2=str_replace('****0',$tag_htm4,$tag_htm);
$tag_htm2=str_replace('***0',$tags_arr[1]." - ".$tags_arr[4],$tag_htm2);
$tag_htm2=str_replace('***6',"t".$tags_arr[2],$tag_htm2);

$f_pro=$abs1."pages/tags/contents/14,07,20_001/".$tags_arr[0]."/1.txt";  //
$f_list = file($f_pro);
$list_text="";
for ($j = 0; $j <= count($f_list)-1; $j++)        //
{$f_list_arr =explode("```",trim($f_list[$j]));
$list_text=$list_text.$f_list_arr[1].",";
}
//---------------------------------------------------------------------------------------------
$f_pro=$abs1."pages/tags/contents/14,07,20_001/".$tags_arr[0]."/1.txt";  //
//---------------------------------------------------------------------------------------------
$f_list = file($f_pro);
$list_text="";
for ($j = 0; $j <= count($f_list)-1; $j++)        // 
{$f_list_arr =explode("```",trim($f_list[$j]));
$list_text=$list_text.$f_list_arr[1].",";
}
$tag_htm2=str_replace('***1',$list_text,$tag_htm2);
//---------------------------------------------------------------------------------------------
$f_pro=$abs1."pages/tags/contents/14,07,20_001/".$tags_arr[0]."/2.txt";  // 
//---------------------------------------------------------------------------------------------
$f_list = file($f_pro);
$list_text="";
for ($j = 0; $j <= count($f_list)-1; $j++)        // 
{$f_list_arr =explode("```",trim($f_list[$j]));
$list_text=$list_text.$f_list_arr[1].",";
}
$tag_htm2=str_replace('***3',$list_text,$tag_htm2);
//---------------------------------------------------------------------------------------------
$f_pro=$abs1."pages/tags/contents/14,07,20_001/".$tags_arr[0]."/3.txt";  // 
//---------------------------------------------------------------------------------------------
$f_list = file($f_pro);
$list_text="";
for ($j = 0; $j <= count($f_list)-1; $j++)        // 
{$f_list_arr =explode("```",trim($f_list[$j]));
$list_text=$list_text.$f_list_arr[1].",";
}
$tag_htm2=str_replace('***4',$list_text,$tag_htm2);
//---------------------------------------------------------------------------------------------
$f_pro=$abs1."pages/tags/contents/14,07,20_001/".$tags_arr[0]."/4.txt";  // 
//---------------------------------------------------------------------------------------------
$f_list = file($f_pro);
$list_text="";
for ($j = 0; $j <= count($f_list)-1; $j++)        // 
{$f_list_arr =explode("```",trim($f_list[$j]));
$list_text=$list_text.$f_list_arr[1].",";
}
$tag_htm2=str_replace('***5',$list_text,$tag_htm2);
//---------------------------------------------------------------------------------------------
$f_pro=$abs1."pages/tags/contents/14,07,20_001/".$tags_arr[0]."/6.txt";  // 
//---------------------------------------------------------------------------------------------
$f_list = file($f_pro);
$list_text="";
for ($j = 0; $j <= count($f_list)-1; $j++)        // 
{$f_list_arr =explode("```",trim($f_list[$j]));
$list_text=$list_text.$f_list_arr[1].",";
}
$tag_htm2=str_replace('***2',$list_text,$tag_htm2);
$tag_htm3[$ii]=$tag_htm2;
}
$contents="";
for ($ii = 0; $ii <= count($cats_arr2)-1; $ii++)        // 
{$contents=$contents.$cats_arr2[$ii];                   // 
$tags_indx=explode(",",$cats_arr3[$ii]);	            // 
for ($ii2 = 0; $ii2 <= count($tags_indx)-2; $ii2++)     // 
{
$contents=$contents.$tag_htm3[$tags_indx[$ii2]-1];
}
}
$objects=str_replace('<!---contents--->',$contents,$objects); 
}
//**************************************************************************************************
// 
//**************************************************************************************************
//0  2s 1.txt   begin.htm   
//**********************************************    
if (!$os7)
{//
//
list($abs1, $s2) = explode("pages",getcwd( ));
//
$f_begin=$abs1."pages/tags/contents/14,07,20_001/2s/1-1.txt";   // 
if (file_exists($f_begin))                                       //
{$f_text = file($f_begin); 			                             //
// 
$w = fopen($abs1."pgdrw57_1/begin.htm", 'w') or exit;   
fwrite($w,"<ol>");
$list_full="<button title='jump to selected' style=width:20  onclick='ff(1)'>v</button><select onchange='ff(1)' id=tag1f  size=0><OPTION  selected value=-1>full list=</OPTION>***</SELECT>";                                                    //   
$list_full2="";
$list_index=0;
// 
for ($ii = 4; $ii <= count($f_text)-1; $ii++)                   // 
{$f_text_arr=explode("```",$f_text[$ii]); 	
fwrite($w,"<li id=a_".strtolower($f_text_arr[1]).">");
$f_a=$abs1."pages/tags/contents/".$f_text_arr[4];
$f_a=str_replace('.php',".htm",$f_a); 
$f_a=trim($f_a); 
$www=file_get_contents($f_a);
$www=str_replace('<DIV tle=0 time="0">',"",$www);
$www=str_replace('</DIV>',"",$www);
$www=str_replace('<!--created=gidra-->',"",$www);
fwrite($w, $www."<hr>");
$list_full2=$list_full2."<option value=".$list_index++.">".$f_text_arr[1]."</option>"; // 
}
fwrite($w,"<BR><BR></LI></OL><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>");
// 
fclose($w); 
$list_full=str_replace('***',$list_full2,$list_full);       //
$objects=str_replace('<!---pro--->',$list_full,$objects);   //
}
else
{$soob="NO ".$f_begin; ; $os7=true;}
}

//***********************************************
// 2s2 2.txt    begin1.htm   
//***********************************************
if (!$os7)
{//  pages/tags/contents/14,07,20_001/2s2/1-1.txt   begin1.htm
list($abs1, $s2) = explode("pages",getcwd( ));
// 
$f_begin=$abs1."pages/tags/contents/14,07,20_001/2s2/1-1.txt";   //
if (file_exists($f_begin))                                       //
{$f_text = file($f_begin); 			                             //
//
$w = fopen($abs1."pgdrw57_1/begin1.htm", 'w') or exit;   
fwrite($w,"<ol>");
$list_full="<button title='jump to selected' style=width:20  onclick='ff(3)'>v</button><select onchange='ff(3)' id=tag3f  size=0><OPTION  selected value=-1>full list=</OPTION>***</SELECT>";                                                    //   
$list_full2="";
$list_index=0;

//
for ($ii = 4; $ii <= count($f_text)-1; $ii++)                   // 
{$f_text_arr=explode("```",$f_text[$ii]); 	
fwrite($w,"<li><big>".$f_text_arr[1]."</big> - ".$f_text_arr[2]."<BR>".$f_text_arr[3]."<hr>");
$list_full2=$list_full2."<option value=".$list_index++.">".$f_text_arr[1]."</option>"; //
}
fwrite($w,"<BR><BR></LI></OL><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>");
//
 fclose($w); 
$list_full=str_replace('***',$list_full2,$list_full);  //
$objects=str_replace('<!---met--->',$list_full,$objects);   // 
 }
else
{$soob="No ".$f_begin; $os7=true;}
}

//*************************************************
//5 STYLE 2s6 6.txt    begin0.html   
//************************************************
if (!$os7)
{//  pages/tags/contents/14,07,20_001/2s6/1-1.txt  begin.htm
list($abs1, $s2) = explode("pages",getcwd( ));
// 
$f_begin=$abs1."pages/tags/contents/14,07,20_001/2s6/1-1.txt";   // 
if (file_exists($f_begin))                                       // 
{$f_text = file($f_begin); 			                             // 
// 
$w = fopen($abs1."pgdrw57_1/begin0.htm", 'w') or exit;   
fwrite($w,"<ol>");
$list_full="<button title='jump to selected' style=width:20  onclick='ff(2)'>v</button><select onchange='ff(2)' id=tag2f  size=0><OPTION selected value=-1>full list=</OPTION>***</SELECT>";                                                    //   
$list_full2="";
$list_index=0;
// 
for ($ii = 4; $ii <= count($f_text)-1; $ii++)                   //
{$f_text_arr=explode("```",$f_text[$ii]); 	
$list_full2=$list_full2."<option value=".$list_index++.">".$f_text_arr[3]."</option>"; //
fwrite($w,"<li id=s_".strtolower($f_text_arr[3]).">");
$f_a=$abs1."pages/tags/contents/".$f_text_arr[4];
$f_a=str_replace('.php',".htm",$f_a); 
$f_a=trim($f_a); 
$www=file_get_contents($f_a);
$www=str_replace('<BIG>',"<BIG title=".$f_text_arr[3].">",$www);
$www=str_replace('<DIV tle=0 time="0">',"",$www);
$www=str_replace('</DIV>',"",$www);
$www=str_replace('<!--created=gidra-->',"",$www);
fwrite($w, $www."<hr>");

}
fwrite($w,"<BR><BR></LI></OL><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>");
//
fclose($w); 
$list_full=str_replace('***',$list_full2,$list_full);  // 
$objects=str_replace('<!---sty--->',$list_full,$objects);   // 
}
else
{$soob="NO ".$f_begin; ; $os7=true;}
}



//***********************************************
//2  2s3 3.txt   begin2.htm   
//**********************************************
if (!$os7)
{/*




*/
//  pages/tags/contents/14,07,20_001/2s3/1-1.txt  begin.htm
list($abs1, $s2) = explode("pages",getcwd( ));
// 
$f_begin=$abs1."pages/tags/contents/14,07,20_001/2s3/1-1.txt";   // 
if (file_exists($f_begin))                                       // 
{$f_text = file($f_begin); 			                             // 
// 
$w = fopen($abs1."pgdrw57_1/begin2.htm", 'w') or exit;   
fwrite($w,"<ol>");
$list_full="<button title='jump to selected' style=width:20  onclick='ff(4)'>v</button><select onchange='ff(4)' id=tag4f  size=0><OPTION  selected value=-1>full list=</OPTION>***</SELECT>";                                                    //   
$list_full2="";
$list_index=0;
// 
for ($ii = 4; $ii <= count($f_text)-1; $ii++)                   // 
{$f_text_arr=explode("```",$f_text[$ii]); 	
fwrite($w,"<li><big>".$f_text_arr[1]."</big> - ".$f_text_arr[2]);
$list_full2=$list_full2."<option value=".$list_index++.">".$f_text_arr[1]."</option>"; //
}
fwrite($w,"<BR><BR></LI></OL><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>");
//
 fclose($w); 
$list_full=str_replace('***',$list_full2,$list_full);            // 
$objects=str_replace('<!---eve--->',$list_full,$objects);        //

 }
else
{$soob="No ".$f_begin; $os7=true;}
}
//************************************************
//3  2s4 4.txt begin3.htm  
//************************************************
if (!$os7)
{//  pages/tags/contents/14,07,20_001/2s4/1-1.txt  begin.htm
list($abs1, $s2) = explode("pages",getcwd( ));
//
$f_begin=$abs1."pages/tags/contents/14,07,20_001/2s4/1-1.txt";   //
if (file_exists($f_begin))                                       //
{$f_text = file($f_begin); 			                             //
// 
$w = fopen($abs1."pgdrw57_1/begin3.htm", 'w') or exit;   
fwrite($w,"<ol>");
$list_full="<button title='jump to selected' style=width:20  onclick='ff(5)'>v</button><select onchange='ff(5)' id=tag5f  size=0><OPTION  selected value=-1>full list=</OPTION>***</SELECT>";                                                    //   
$list_full2="";
$list_index=0;
// 
for ($ii = 4; $ii <= count($f_text)-1; $ii++)                   //
{$f_text_arr=explode("```",$f_text[$ii]); 	
fwrite($w,"<li><big>".$f_text_arr[1]."</big> - ".$f_text_arr[2]);
$list_full2=$list_full2."<option value=".$list_index++.">".$f_text_arr[1]."</option>"; //
}
fwrite($w,"<BR><BR></LI></OL><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>");
//
 fclose($w); 
$list_full=str_replace('***',$list_full2,$list_full);  // 
$objects=str_replace('<!---col--->',$list_full,$objects);   // 
}
else
{$soob="NO ".$f_begin; $os7=true;}
}
fwrite($w_objects,$objects);    //
fclose($w_objects); 
$soob="FORM 'TAGS, OBJECTS' FORMED!";
}
else
{
$soob="NEED A MONOPOLY!";
}
}
?>

